package ims;

import java.awt.*;
import java.awt.event.*;
import java.util.*;
import ims.Any;



public class imsDateTime extends Any{

  public String datetime;
  public imsLangString description;
  
  public imsDateTime(String aDateTime) {
	datetime = aDateTime;
	description = null;
  }
    
  
  public imsDateTime(String aDateTime, imsLangString aDescription) {
	datetime = aDateTime;
	description = aDescription;
  }
  
  public String imsWrite2XMLString() {
    StringBuffer sb = new StringBuffer();

    sb.append("<DATE>\n");
    sb.append("<DATETIME>"+datetime+"</DATETIME>");
    if(description != null)
      sb.append("<DESCRIPTION>\n"+description.imsWrite2XMLString()+"</DESCRIPTION>\n");
    sb.append("</DATE>\n");
      
    return sb.toString();
  }
}
